Saturday, October 26, 2013

cannot load such file -- zip/zip

rake aborted!
cannot load such file -- zip/zip
/home/sachin/.rvm/gems/ruby-1.9.3-p392@prjct/gems/selenium-webdriver-2.34.0/lib/selenium/webdriver/common/zipper.rb:1:in `require'
/home/sachin/.rvm/gems/ruby-1.9.3-p392@prjct/gems/selenium-webdriver-2.34.0/lib/selenium/webdriver/common/zipper.rb:1:in `<top (required)>'
/home/sachin/.rvm/gems/ruby-1.9.3-p392@prjct/gems/selenium-webdriver-2.34.0/lib/selenium/webdriver/common.rb:11:in `require'
/home/sachin/.rvm/gems/ruby-1.9.3-p392@prjct/gems/selenium-webdriver-2.34.0/lib/selenium/webdriver/common.rb:11:in `<top (required)>'
/home/sachin/.rvm/gems/ruby-1.9.3-p392@prjct/gems/selenium-webdriver-2.34.0/lib/selenium/webdriver.rb:7:in `require'
/home/sachin/.rvm/gems/ruby-1.9.3-p392@prjct/gems/selenium-webdriver-2.34.0/lib/selenium/webdriver.rb:7:in `<top (required)>'
/home/sachin/.rvm/gems/ruby-1.9.3-p392@prjct/gems/selenium-webdriver-2.34.0/lib/selenium-webdriver.rb:1:in `require'
/home/sachin/.rvm/gems/ruby-1.9.3-p392@prjct/gems/selenium-webdriver-2.34.0/lib/selenium-webdriver.rb:1:in `<top (required)>'
/home/sachin/prjct-test/lib/test.rb:2:in `require'
/home/sachin/prjct-test/lib/test.rb:2:in `<top (required)>'
/home/sachin/prjct-test/Rakefile:4:in `require'
/home/sachin/prjct-test/Rakefile:4:in `<top (required)>'
/home/sachin/.rvm/gems/ruby-1.9.3-p392@prjct/bin/ruby_noexec_wrapper:14:in `eval'
/home/sachin/.rvm/gems/ruby-1.9.3-p392@prjct/bin/ruby_noexec_wrapper:14:in `<main>'
(See full trace by running task with --trace)

Solution:

Install gem with :

gem install rubyzip -v 0.9.9

OR
 
Add gems in Gemfile :

gem 'rubyzip', '~> 0.9.9'
gem 'albacore'

then do 'bundle install'

and if gem locked in Gemfile.lock
then change the version rubyzip (1.0.0) to rubyzip (0.9.9)


Reactions:

1 comment: